/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.myRegelungsvorhabenPage {
  * {
    font-size: @platform-table-font-size;
  }
  .heading-holder {
    display: flex;
    justify-content: space-between;
    margin-bottom: 32px;
    h1 {
      line-height: 40px;
      margin: 0;
    }
  }

  .my-votes-tabs {
    .table-component {
      .ant-table-content {
        td {
          span {
            white-space: normal;
          }
        }
      }
    }

    .hidden-expanded-rows {
      .ant-table-expanded-row {
        display: contents;
      }
    }
    &.pkp-enabled {
      .ant-tabs-nav-list {
        & > nav {
          .ant-tabs-tab:nth-child(2) {
            display: none;
          }
        }
      }
    }
    &.pkp-enabled .ant-tabs-nav-list > nav {
      .ant-tabs-tab:nth-child(2) {
        display: none;
      }
    }
  }
  .info-text {
    max-width: 590px;
    margin: 40px auto;
    text-align: center;
    font-size: 1.8rem;
    &-bt {
      font-size: initial;
    }
    strong {
      font-size: 1.8rem;
      font-weight: 500;
    }
  }
  .vorhabentyp {
    & > span {
      white-space: nowrap !important;
    }
  }
  .actions-holder {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
  }
}
.status-send-to-pkp-span {
  display: block;
  font-size: 1.4rem;
  color: @attribute-grey-color;
}

.sent-to-pkp-dd-span {
  .ant-divider {
    margin-top: 12px;
    margin-left: -5%;
    width: 110%;
  }
}

#Regelungsvorhaben-tab-nav {
  width: max-content;
  min-width: 100%;
}
